# OSGeo::FDO::Geometry::GeometryCollection Class Reference

Inheritance diagram for OSGeo::FDO::Geometry::GeometryCollection:

[legend]

List of all members.

## Detailed Description

The GeometryCollection class is a collection of Geometry objects.

## Public Member Functions
System::Int32 | Add (OSGeo::FDO::Geometry::IGeometry *value)
| Adds a IGeometry object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (OSGeo::FDO::Geometry::IGeometry *value)
| Determines whether the collection contains a specific IGeometry object.
System::Void | CopyTo (OSGeo::FDO::Geometry::IGeometry *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
| GeometryCollection ()
| Creates an instance of GeometryCollection with no contained elements.
| GeometryCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a GeometryCollection managed object based on an unmanaged instance of the object.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property OSGeo::FDO::Geometry::IGeometry * | get_Item (System::Int32 index)
| Gets an IGeometry object in the collection.
__property OSGeo::FDO::Geometry::IGeometry * | get_RealTypeItem (System::Int32 index)
| Gets an IGeometry object in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (OSGeo::FDO::Geometry::IGeometry *value)
| Determines the index of a specific IGeometry object.
System::Void | Insert (System::Int32 index, OSGeo::FDO::Geometry::IGeometry *value)
| Inserts an IGeometry object to the collection at the specified position.
System::Void | Remove (OSGeo::FDO::Geometry::IGeometry *value)
| Removes the first occurrence of a specific IGeometry object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th IGeometry from this collection.
__property System::Void | set_Item (System::Int32 index, OSGeo::FDO::Geometry::IGeometry *value)
| Sets the value of the IGeometry object at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, OSGeo::FDO::Geometry::IGeometry *value)
| Sets the value of the IGeometry object at the specified index.